package main

import androidx.compose.foundation.layout.*
import androidx.compose.material.Button
import androidx.compose.material.ButtonDefaults
import androidx.compose.material.MaterialTheme
import androidx.compose.material.Text
import androidx.compose.runtime.*
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.unit.dp

var mostUsedWordList = mutableMapOf<String, Int>()

@Composable
fun homePage(
    onGlossaryClick: () -> Unit,
    onCodeToVerifyClick: () -> Unit
) {

    Column(
        modifier = Modifier.fillMaxSize(),
        verticalArrangement = Arrangement.Center,
        horizontalAlignment = Alignment.CenterHorizontally

    ) {
        Text("Quali'Nomme", style = MaterialTheme.typography.h3)

        var isCompareClicked by remember { mutableStateOf(false) }

        Spacer(modifier = Modifier.height(16.dp))

        Row(
            horizontalArrangement = Arrangement.spacedBy(16.dp)
        ) {
            Button(
                onClick = onGlossaryClick,
                colors = ButtonDefaults.buttonColors(
                    backgroundColor = customRedColor,
                    contentColor = Color.White
                )
            ) {
                Text("Glossaire")
            }

            Button(
                onClick = onCodeToVerifyClick,
                colors = ButtonDefaults.buttonColors(
                    backgroundColor = customRedColor,
                    contentColor = Color.White
                )
            ) {
                Text("Code à Vérifier")
            }

            Button(
                onClick = {
                    isCompareClicked = true

                },
                colors = ButtonDefaults.buttonColors(
                    backgroundColor = customRedColor,
                    contentColor = Color.White
                )
            ) {
                Text("Comparer")
            }

            if (isCompareClicked) {
                println(mostUsedWordList.keys.toList())
                compareResults(
                    glossaryWords = loadDatasFromFile(),
                    codeWords = mostUsedWordList.keys.toList(),
                    onBackClick = { isCompareClicked = false }
                )
            }
        }
    }
}